diff a/test/hotspot/jtreg/vmTestbase/nsk/jvmti/scenarios/bcinstr/BI04/bi04t002/newclass02/java.base/java/lang/Object.java b/test/hotspot/jtreg/vmTestbase/nsk/jvmti/scenarios/bcinstr/BI04/bi04t002/newclass02/java.base/java/lang/Object.java
--- a/test/hotspot/jtreg/vmTestbase/nsk/jvmti/scenarios/bcinstr/BI04/bi04t002/newclass02/java.base/java/lang/Object.java
+++ b/test/hotspot/jtreg/vmTestbase/nsk/jvmti/scenarios/bcinstr/BI04/bi04t002/newclass02/java.base/java/lang/Object.java
@@ -21,206 +21,251 @@
  * questions.
  */
 
 package java.lang;
 
-import jdk.internal.misc.Blocker;
+import jdk.internal.vm.annotation.IntrinsicCandidate;
 import nsk.jvmti.scenarios.bcinstr.BI04.bi04t002a;
 
 /**
- * Class <code>Object</code> is the root of the class hierarchy.
- * Every class has <code>Object</code> as a superclass. All objects,
+ * Class {@code Object} is the root of the class hierarchy.
+ * Every class has {@code Object} as a superclass. All objects,
  * including arrays, implement the methods of this class.
  *
- * @author  unascribed
- * @version 1.67, 02/03/04
  * @see     java.lang.Class
- * @since   JDK1.0
+ * @since   1.0
  */
 public class Object {
 
     /**
-     * Returns the runtime class of an object. That <tt>Class</tt>
-     * object is the object that is locked by <tt>static synchronized</tt>
-     * methods of the represented class.
+     * Constructs a new object.
+     */
+    @IntrinsicCandidate
+    public Object() {}
+
+    /**
+     * Returns the runtime class of this {@code Object}. The returned
+     * {@code Class} object is the object that is locked by {@code
+     * static synchronized} methods of the represented class.
+     *
+     * <p><b>The actual result type is {@code Class<? extends |X|>}
+     * where {@code |X|} is the erasure of the static type of the
+     * expression on which {@code getClass} is called.</b> For
+     * example, no cast is required in this code fragment:</p>
      *
-     * @return The <code>java.lang.Class</code> object that represents
-     *         the runtime class of the object.  The result is of type
-     *         {@code Class<? extends X>} where X is the
-     *         static type of the expression on which
-     *         <code>getClass</code> is called.
+     * <p>
+     * {@code Number n = 0;                             }<br>
+     * {@code Class<? extends Number> c = n.getClass(); }
+     * </p>
+     *
+     * @return The {@code Class} object that represents the runtime
+     *         class of this object.
+     * @jls 15.8.2 Class Literals
      */
-    public final native Class<? extends Object> getClass();
+    @IntrinsicCandidate
+    public final native Class<?> getClass();
 
     /**
-     * Returns a hash code value for the object. This method is
-     * supported for the benefit of hashtables such as those provided by
-     * <code>java.util.Hashtable</code>.
+     * {@return a hash code value for this object} This method is
+     * supported for the benefit of hash tables such as those provided by
+     * {@link java.util.HashMap}.
      * <p>
-     * The general contract of <code>hashCode</code> is:
+     * The general contract of {@code hashCode} is:
      * <ul>
      * <li>Whenever it is invoked on the same object more than once during
-     *     an execution of a Java application, the <tt>hashCode</tt> method
+     *     an execution of a Java application, the {@code hashCode} method
      *     must consistently return the same integer, provided no information
-     *     used in <tt>equals</tt> comparisons on the object is modified.
+     *     used in {@code equals} comparisons on the object is modified.
      *     This integer need not remain consistent from one execution of an
      *     application to another execution of the same application.
-     * <li>If two objects are equal according to the <tt>equals(Object)</tt>
-     *     method, then calling the <code>hashCode</code> method on each of
-     *     the two objects must produce the same integer result.
+     * <li>If two objects are equal according to the {@link
+     *     #equals(Object) equals} method, then calling the {@code
+     *     hashCode} method on each of the two objects must produce the
+     *     same integer result.
      * <li>It is <em>not</em> required that if two objects are unequal
-     *     according to the {@link java.lang.Object#equals(java.lang.Object)}
-     *     method, then calling the <tt>hashCode</tt> method on each of the
-     *     two objects must produce distinct integer results.  However, the
-     *     programmer should be aware that producing distinct integer results
-     *     for unequal objects may improve the performance of hashtables.
+     *     according to the {@link #equals(Object) equals} method, then
+     *     calling the {@code hashCode} method on each of the two objects
+     *     must produce distinct integer results.  However, the programmer
+     *     should be aware that producing distinct integer results for
+     *     unequal objects may improve the performance of hash tables.
      * </ul>
-     * <p>
-     * As much as is reasonably practical, the hashCode method defined by
-     * class <tt>Object</tt> does return distinct integers for distinct
-     * objects. (This is typically implemented by converting the internal
-     * address of the object into an integer, but this implementation
-     * technique is not required by the
-     * Java<font size="-2"><sup>TM</sup></font> programming language.)
      *
-     * @return  a hash code value for this object.
+     * @implSpec
+     * As far as is reasonably practical, the {@code hashCode} method defined
+     * by class {@code Object} returns distinct integers for distinct objects.
+     *
+     * @apiNote
+     * The {@link java.util.Objects#hash(Object...) hash} and {@link
+     * java.util.Objects#hashCode(Object) hashCode} methods of {@link
+     * java.util.Objects} can be used to help construct simple hash codes.
+     *
      * @see     java.lang.Object#equals(java.lang.Object)
-     * @see     java.util.Hashtable
+     * @see     java.lang.System#identityHashCode
      */
+    @IntrinsicCandidate
     public native int hashCode();
 
     /**
      * Indicates whether some other object is "equal to" this one.
      * <p>
-     * The <code>equals</code> method implements an equivalence relation
+     * The {@code equals} method implements an equivalence relation
      * on non-null object references:
      * <ul>
      * <li>It is <i>reflexive</i>: for any non-null reference value
-     *     <code>x</code>, <code>x.equals(x)</code> should return
-     *     <code>true</code>.
+     *     {@code x}, {@code x.equals(x)} should return
+     *     {@code true}.
      * <li>It is <i>symmetric</i>: for any non-null reference values
-     *     <code>x</code> and <code>y</code>, <code>x.equals(y)</code>
-     *     should return <code>true</code> if and only if
-     *     <code>y.equals(x)</code> returns <code>true</code>.
+     *     {@code x} and {@code y}, {@code x.equals(y)}
+     *     should return {@code true} if and only if
+     *     {@code y.equals(x)} returns {@code true}.
      * <li>It is <i>transitive</i>: for any non-null reference values
-     *     <code>x</code>, <code>y</code>, and <code>z</code>, if
-     *     <code>x.equals(y)</code> returns <code>true</code> and
-     *     <code>y.equals(z)</code> returns <code>true</code>, then
-     *     <code>x.equals(z)</code> should return <code>true</code>.
+     *     {@code x}, {@code y}, and {@code z}, if
+     *     {@code x.equals(y)} returns {@code true} and
+     *     {@code y.equals(z)} returns {@code true}, then
+     *     {@code x.equals(z)} should return {@code true}.
      * <li>It is <i>consistent</i>: for any non-null reference values
-     *     <code>x</code> and <code>y</code>, multiple invocations of
-     *     <tt>x.equals(y)</tt> consistently return <code>true</code>
-     *     or consistently return <code>false</code>, provided no
-     *     information used in <code>equals</code> comparisons on the
+     *     {@code x} and {@code y}, multiple invocations of
+     *     {@code x.equals(y)} consistently return {@code true}
+     *     or consistently return {@code false}, provided no
+     *     information used in {@code equals} comparisons on the
      *     objects is modified.
-     * <li>For any non-null reference value <code>x</code>,
-     *     <code>x.equals(null)</code> should return <code>false</code>.
+     * <li>For any non-null reference value {@code x},
+     *     {@code x.equals(null)} should return {@code false}.
      * </ul>
+     *
      * <p>
-     * The <tt>equals</tt> method for class <code>Object</code> implements
+     * An equivalence relation partitions the elements it operates on
+     * into <i>equivalence classes</i>; all the members of an
+     * equivalence class are equal to each other. Members of an
+     * equivalence class are substitutable for each other, at least
+     * for some purposes.
+     *
+     * @implSpec
+     * The {@code equals} method for class {@code Object} implements
      * the most discriminating possible equivalence relation on objects;
-     * that is, for any non-null reference values <code>x</code> and
-     * <code>y</code>, this method returns <code>true</code> if and only
-     * if <code>x</code> and <code>y</code> refer to the same object
-     * (<code>x == y</code> has the value <code>true</code>).
-     * <p>
-     * Note that it is generally necessary to override the <tt>hashCode</tt>
+     * that is, for any non-null reference values {@code x} and
+     * {@code y}, this method returns {@code true} if and only
+     * if {@code x} and {@code y} refer to the same object
+     * ({@code x == y} has the value {@code true}).
+     *
+     * In other words, under the reference equality equivalence
+     * relation, each equivalence class only has a single element.
+     *
+     * @apiNote
+     * It is generally necessary to override the {@link #hashCode() hashCode}
      * method whenever this method is overridden, so as to maintain the
-     * general contract for the <tt>hashCode</tt> method, which states
+     * general contract for the {@code hashCode} method, which states
      * that equal objects must have equal hash codes.
+     * <p>The two-argument {@link java.util.Objects#equals(Object,
+     * Object) Objects.equals} method implements an equivalence relation
+     * on two possibly-null object references.
      *
      * @param   obj   the reference object with which to compare.
-     * @return  <code>true</code> if this object is the same as the obj
-     *          argument; <code>false</code> otherwise.
+     * @return  {@code true} if this object is the same as the obj
+     *          argument; {@code false} otherwise.
      * @see     #hashCode()
-     * @see     java.util.Hashtable
+     * @see     java.util.HashMap
      */
     public boolean equals(Object obj) {
         bi04t002a.instrInvoke(bi04t002a.INSTR_EQUALS);
         return (this == obj);
     }
 
     /**
      * Creates and returns a copy of this object.  The precise meaning
      * of "copy" may depend on the class of the object. The general
-     * intent is that, for any object <tt>x</tt>, the expression:
+     * intent is that, for any object {@code x}, the expression:
      * <blockquote>
      * <pre>
      * x.clone() != x</pre></blockquote>
      * will be true, and that the expression:
      * <blockquote>
      * <pre>
      * x.clone().getClass() == x.getClass()</pre></blockquote>
-     * will be <tt>true</tt>, but these are not absolute requirements.
+     * will be {@code true}, but these are not absolute requirements.
      * While it is typically the case that:
      * <blockquote>
      * <pre>
      * x.clone().equals(x)</pre></blockquote>
-     * will be <tt>true</tt>, this is not an absolute requirement.
+     * will be {@code true}, this is not an absolute requirement.
      * <p>
      * By convention, the returned object should be obtained by calling
-     * <tt>super.clone</tt>.  If a class and all of its superclasses (except
-     * <tt>Object</tt>) obey this convention, it will be the case that
-     * <tt>x.clone().getClass() == x.getClass()</tt>.
+     * {@code super.clone}.  If a class and all of its superclasses (except
+     * {@code Object}) obey this convention, it will be the case that
+     * {@code x.clone().getClass() == x.getClass()}.
      * <p>
      * By convention, the object returned by this method should be independent
      * of this object (which is being cloned).  To achieve this independence,
      * it may be necessary to modify one or more fields of the object returned
-     * by <tt>super.clone</tt> before returning it.  Typically, this means
+     * by {@code super.clone} before returning it.  Typically, this means
      * copying any mutable objects that comprise the internal "deep structure"
      * of the object being cloned and replacing the references to these
      * objects with references to the copies.  If a class contains only
      * primitive fields or references to immutable objects, then it is usually
-     * the case that no fields in the object returned by <tt>super.clone</tt>
+     * the case that no fields in the object returned by {@code super.clone}
      * need to be modified.
-     * <p>
-     * The method <tt>clone</tt> for class <tt>Object</tt> performs a
+     *
+     * @implSpec
+     * The method {@code clone} for class {@code Object} performs a
      * specific cloning operation. First, if the class of this object does
-     * not implement the interface <tt>Cloneable</tt>, then a
-     * <tt>CloneNotSupportedException</tt> is thrown. Note that all arrays
-     * are considered to implement the interface <tt>Cloneable</tt>.
+     * not implement the interface {@code Cloneable}, then a
+     * {@code CloneNotSupportedException} is thrown. Note that all arrays
+     * are considered to implement the interface {@code Cloneable} and that
+     * the return type of the {@code clone} method of an array type {@code T[]}
+     * is {@code T[]} where T is any reference or primitive type.
      * Otherwise, this method creates a new instance of the class of this
      * object and initializes all its fields with exactly the contents of
      * the corresponding fields of this object, as if by assignment; the
      * contents of the fields are not themselves cloned. Thus, this method
      * performs a "shallow copy" of this object, not a "deep copy" operation.
      * <p>
-     * The class <tt>Object</tt> does not itself implement the interface
-     * <tt>Cloneable</tt>, so calling the <tt>clone</tt> method on an object
-     * whose class is <tt>Object</tt> will result in throwing an
+     * The class {@code Object} does not itself implement the interface
+     * {@code Cloneable}, so calling the {@code clone} method on an object
+     * whose class is {@code Object} will result in throwing an
      * exception at run time.
      *
      * @return     a clone of this instance.
-     * @exception  CloneNotSupportedException  if the object's class does not
-     *               support the <code>Cloneable</code> interface. Subclasses
-     *               that override the <code>clone</code> method can also
+     * @throws  CloneNotSupportedException  if the object's class does not
+     *               support the {@code Cloneable} interface. Subclasses
+     *               that override the {@code clone} method can also
      *               throw this exception to indicate that an instance cannot
      *               be cloned.
      * @see java.lang.Cloneable
      */
+    @IntrinsicCandidate
     protected native Object clone() throws CloneNotSupportedException;
 
     /**
-     * Returns a string representation of the object. In general, the
-     * <code>toString</code> method returns a string that
+     * {@return a string representation of the object}
+     *
+     * Satisfying this method's contract implies a non-{@code null}
+     * result must be returned.
+     *
+     * @apiNote
+     * In general, the
+     * {@code toString} method returns a string that
      * "textually represents" this object. The result should
      * be a concise but informative representation that is easy for a
      * person to read.
      * It is recommended that all subclasses override this method.
-     * <p>
-     * The <code>toString</code> method for class <code>Object</code>
+     * The string output is not necessarily stable over time or across
+     * JVM invocations.
+     * @implSpec
+     * The {@code toString} method for class {@code Object}
      * returns a string consisting of the name of the class of which the
-     * object is an instance, the at-sign character `<code>@</code>', and
+     * object is an instance, the at-sign character `{@code @}', and
      * the unsigned hexadecimal representation of the hash code of the
      * object. In other words, this method returns a string equal to the
      * value of:
-     * <blockquote>
-     * <pre>
+     * {@snippet lang=java :
      * getClass().getName() + '@' + Integer.toHexString(hashCode())
-     * </pre></blockquote>
-     *
-     * @return  a string representation of the object.
+     * }
+     * The {@link java.util.Objects#toIdentityString(Object)
+     * Objects.toIdentityString} method returns the string for an
+     * object equal to the string that would be returned if neither
+     * the {@code toString} nor {@code hashCode} methods were
+     * overridden by the object's class.
      */
     public String toString() {
         bi04t002a.instrInvoke(bi04t002a.INSTR_TOSTRING);
         return getClass().getName() + "@" + Integer.toHexString(hashCode());
     }
@@ -228,11 +273,11 @@
     /**
      * Wakes up a single thread that is waiting on this object's
      * monitor. If any threads are waiting on this object, one of them
      * is chosen to be awakened. The choice is arbitrary and occurs at
      * the discretion of the implementation. A thread waits on an object's
-     * monitor by calling one of the <code>wait</code> methods.
+     * monitor by calling one of the {@code wait} methods.
      * <p>
      * The awakened thread will not be able to proceed until the current
      * thread relinquishes the lock on this object. The awakened thread will
      * compete in the usual manner with any other threads that might be
      * actively competing to synchronize on this object; for example, the
